#include "TransferStatData.h"

CTransferStatData::CTransferStatData()
{
	memset( &m_tsData, 0x00, sizeof( struct Transfer_stat ) );
}

CTransferStatData::CTransferStatData(const CTransferStatData& other)
{
	*this = other;
}

CTransferStatData::~CTransferStatData()
{
}

const CTransferStatData& CTransferStatData::operator= (const CTransferStatData& other)
{
	if (this == &other) return *this;

	SetTransferStatData(other.GetData());
	return *this;
}

void CTransferStatData::SetTransferStatData( struct Transfer_stat tsData)
{
	memset( &m_tsData, 0x00, sizeof(struct Transfer_stat) );
	memcpy( &m_tsData, &tsData, sizeof(struct Transfer_stat) );
}
